noweb (2.11b-7) 08_tmac_dir

Summary

 src/shell/noroff  |    4 ++--
 src/shell/roff.nw |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

    
download this patch

Patch contents

#! /bin/sh /usr/share/dpatch/dpatch-run
## 08_tmac_dir.dpatch by  <nr@eecs.harvard.edu>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: look for noweb's troff macros in the correct directory

@DPATCH@
--- noweb/src/shell/noroff	2006-06-12 18:38:15.000000000 -0400
+++ noweb/src/shell/noroff	2006-06-12 18:52:50.352582000 -0400
@@ -4,7 +4,7 @@
 
 ROFF="groff"
 AWK=nawk
-macrodir=|LIBDIR|
+macrodir=/usr/share/groff/tmac
 
 opts=
 
@@ -35,7 +35,7 @@
 
 base="`basename $1 | sed '/\./s/\.[^.]*$//'`"
 tagsfile="$base.nwt"
-(echo ".so $macrodir/tmac.w"
+(echo ".so $macrodir/noweb.tmac"
 if [ -r "$tagsfile" ]; then 
    tagstemp=$(tempfile -p tags) || { echo "$0: Cannot create temporary file" >&2; exit 1;  }
    cp $tagsfile $tagstemp
--- noweb/src/shell/roff.nw	2006-06-12 18:38:15.000000000 -0400
+++ noweb/src/shell/roff.nw	2006-06-12 18:52:50.352582000 -0400
@@ -631,7 +631,7 @@
 
 ROFF="groff"
 AWK=nawk
-macrodir=|LIBDIR|
+macrodir=/usr/share/groff/tmac
 
 opts=
 
@@ -662,7 +662,7 @@
 
 base="`basename $1 | sed '/\./s/\.[^.]*$//'`"
 tagsfile="$base.nwt"
-(echo ".so $macrodir/tmac.w"
+(echo ".so $macrodir/noweb.tmac"
 if [ -r "$tagsfile" ]; then 
    tagstemp=$(tempfile -p tags) || { echo "$0: Cannot create temporary file" >&2; exit 1;  }
    cp $tagsfile $tagstemp